KEYRecord.Protocol (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class KEYRecord.Protocol

- java.lang.Object
- - org.xbill.DNS.KEYRecord.Protocol

- Enclosing class:
    KEYRecord

      public static class KEYRecord.Protocol
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANY` Any protocol
    `static int` | `DNSSEC` DNSSEC
    `static int` | `EMAIL` Email
    `static int` | `IPSEC` IPSEC Control
    `static int` | `NONE` No defined protocol.
    `static int` | `TLS` Transaction Level Security

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int type)` Converts an KEY protocol value into its textual representation
    `static int` | `value(String s)` Converts a textual representation of a KEY protocol into its numeric code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      No defined protocol.
      See Also:
        Constant Field Values

    - #### TLS

          public static final int TLS

      Transaction Level Security
      See Also:
        Constant Field Values

    - #### EMAIL

          public static final int EMAIL

      Email
      See Also:
        Constant Field Values

    - #### DNSSEC

          public static final int DNSSEC

      DNSSEC
      See Also:
        Constant Field Values

    - #### IPSEC

          public static final int IPSEC

      IPSEC Control
      See Also:
        Constant Field Values

    - #### ANY

          public static final int ANY

      Any protocol
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int type)

      Converts an KEY protocol value into its textual representation

    - #### value

          public static int value(String s)

      Converts a textual representation of a KEY protocol into its numeric code. Integers in the range 0..255 are also accepted.
      Parameters:
        `s` - The textual representation of the protocol
      Returns:
        The protocol code, or -1 on error.